QGIS Application - Bug report #9324
Regression: Inference lines in composer no longer appear
2014-01-13 04:08 AM - Tim Sutton

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:2.0.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17931
Description

In master ( €745b2f ) there seems to be a regression in composer. The inference lines that were shown when moving objects around are
no longer displayed. Tester on Linux 64bit Ubuntu 13.10.

History

#1 - 2014-01-13 06:56 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

#2 - 2014-01-13 12:40 PM - Nyall Dawson

Can you clarify this for me -- what exactly do you mean by inference lines? The snap lines?

#3 - 2014-01-15 11:21 PM - Tim Sutton

- Status changed from Open to Closed

Yes the lines that appear when you move an object around on the layout to show if they are aligned.

| tested on OSX last night and it was working fine. Now | just tested on gnome and it is working normally again.

#4 - 2014-02-13 07:02 PM - Tim Sutton

- Operating System deleted (Ubuntu Linux)

- OS version deleted (13.10)

- Status changed from Closed to Reopened

- File no-inference-lines.mp4 added

Hi

I am reopening this issue - there are still cases where no inference lines are show. | am attaching a short screencast that illustrates this (filmed against

commit:dae8eab6a169db7539a08dc81d2ebe9dab789f37). The issue seems to appear when opening an existing template - when creating a new template

from scratch the inference lines work normally.

Replicated on OSX in the attached screencast.

#5 - 2014-02-13 11:03 PM - Nyall Dawson
Tim - can you confirm whether smart guides is enabled for this composition?

#6 - 2014-02-14 07:10 AM - Tim Sutton

Hi

Yes | can confirm they are enabled.

Regards

Tim

#7 - 2014-02-19 08:43 AM - Martin Dobias

- Priority changed from Severe/Regression to Normal

Lowering the priority - should not block the release.

#8 - 2014-06-07 03:45 AM - Nyall Dawson
- Status changed from Reopened to Feedback

Tim - is this still reproducible? If so, can you give me a few more details around how you trigger this issue? Specifically, is the composer created as a
result of a plugin/python script?

#9 - 2014-06-14 02:27 AM - Tim Sutton
- Status changed from Feedback to Closed

Files

no-inference-lines.mp4 1.19 MB 2014-02-13 Tim Sutton
